summaryrefslogtreecommitdiffstats
path: root/misc
diff options
context:
space:
mode:
author Geoff Ritter <geoff do ritter at gmail dot com>2011-03-05 09:36:11 -0300
committer Niels Horn <niels.horn@slackbuilds.org>2011-03-05 09:36:11 -0300
commitf499ccd5d2b6a164e479082dc9737372fbbe6f22 (patch)
tree9e229ef0877081cd2c39cd1f9e07cdf4237bf6fc /misc
parentff7d55741fdfbf42fc883b41fc0478b94ecbc404 (diff)
downloadslackbuilds-f499ccd5d2b6a164e479082dc9737372fbbe6f22.tar.gz
slackbuilds-f499ccd5d2b6a164e479082dc9737372fbbe6f22.tar.xz
misc/ardesia: Added (Pen/Touch ready on-screen annotation)
Signed-off-by: Niels Horn <niels.horn@slackbuilds.org>
Diffstat (limited to 'misc')
-rw-r--r--misc/ardesia/README31
-rw-r--r--misc/ardesia/ardesia.SlackBuild94
-rw-r--r--misc/ardesia/ardesia.info10
-rw-r--r--misc/ardesia/doinst.sh10
-rw-r--r--misc/ardesia/slack-desc19
5 files changed, 164 insertions, 0 deletions
diff --git a/misc/ardesia/README b/misc/ardesia/README
new file mode 100644
index 0000000000..36b82d9b41
--- /dev/null
+++ b/misc/ardesia/README
@@ -0,0 +1,31 @@
+Ardesia turns your screen into a digital sketchpad to annotate or draw
+on the entire screen. It also lets you record and stream it on the
+network with vlc. You can draw upon the desktop or import an image
+as well as annotate and redistribute it. Ardesia is also pressure
+sensitive assuming your device is properly configured.
+
+USER TIPS:
+Ardesia is set to be 'always on top' and will be on top of even desktop
+panels. However, if you have shortcuts too or launch the program with
+'-d' you can toggle the 'always on top' option and the panel should
+be back on top. This will allow you to opperate at least operate the
+panel as well as minimize ardesia to regain full control over the
+desktop. Personally, they should of had a 'pass through' mode so that
+you would not have to hide the panel or the drawings to do things on
+the desktop.
+
+The PDF export will allow you to add new pages to a pdf that are screen
+captures of when the button is pressed. It does not save vector shapes.
+
+Fluxbox and Blackbox are not compatible! The program will draw
+black over everything and not allow you to access the tools the same
+goes for curtain and spotlighter (maintained by ardesia). Openbox
+works without issues. You are on your own testing other minimalist
+window managers.
+
+This requires gsl.
+
+Runtime Requires
+- A Composite manager (compiz, kwin, xcompmgr, cairo-compmgr, etc.)
+Runtime Optional
+- VLC for recording and streaming
diff --git a/misc/ardesia/ardesia.SlackBuild b/misc/ardesia/ardesia.SlackBuild
new file mode 100644
index 0000000000..7966118714
--- /dev/null
+++ b/misc/ardesia/ardesia.SlackBuild
@@ -0,0 +1,94 @@
+#!/bin/sh
+
+# Slackware build script for ardesia
+
+# Written by Geoff Ritter < geoff dot ritter at gmail dot com >
+
+# Public Domain
+
+PRGNAM=ardesia
+VERSION=${VERSION:-0.6}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i486 ;;
+ arm*) ARCH=arm ;;
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+else
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar xvf $CWD/$PRGNAM-$VERSION.tar.gz
+cd $PRGNAM-$VERSION
+chown -R root:root .
+# If you are going to blindly reset permissions, this is a bit more readable.
+# However '-perm /111' may only be compatible with only gnu/find.
+find . \
+ -type d -exec chmod 755 {} \; -o \
+ -type f -perm /111 -exec chmod 755 {} \; -o \
+ -type f -exec chmod 644 {} \;
+
+# Note, while there are no library files installed, the Make file apparently
+# uses --libdir to decided where to find some of the libraries.
+
+CFLAGS="$SLKCFLAGS" \
+CXXFLAGS="$SLKCFLAGS" \
+./configure \
+ --prefix=/usr \
+ --libdir=/usr/lib$LIBDIRSUFFIX \
+ --mandir=/usr/man \
+ --docdir=/usr/doc/$PRGNAM-$VERSION \
+ --build=$ARCH-slackware-linux
+
+make
+make install DESTDIR=$PKG
+
+# Make sure the Icon parameter is set properly in .desktop file
+sed -i 's/Icon=.*/Icon=ardesia/' $PKG/usr/share/applications/ardesia.desktop
+# Copy the icon to the proper folder
+mkdir -p $PKG/usr/share/icons/hicolor/22x22/apps/
+cp $PKG/usr/share/pixmaps/ardesia.png $PKG/usr/share/icons/hicolor/22x22/apps
+
+find $PKG -print0 | xargs -0 file | grep -e "executable" -e "shared object" | grep ELF \
+ | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
+
+# No Manpages
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+# make install already did this but to the wrong directory
+# --docdir is not respected
+mv $PKG/usr/doc/ardesia/* $PKG/usr/doc/$PRGNAM-$VERSION/
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+cat $CWD/doinst.sh > $PKG/install/doinst.sh
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/misc/ardesia/ardesia.info b/misc/ardesia/ardesia.info
new file mode 100644
index 0000000000..1c2871d096
--- /dev/null
+++ b/misc/ardesia/ardesia.info
@@ -0,0 +1,10 @@
+PRGNAM="ardesia"
+VERSION="0.6"
+HOMEPAGE="http://code.google.com/p/ardesia/"
+DOWNLOAD="http://ardesia.googlecode.com/files/ardesia-0.6.tar.gz"
+MD5SUM="1dcb2d54ed15d5cb25cc5b1968ac6562"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+MAINTAINER="Geoff Ritter"
+EMAIL="geoff do ritter at gmail dot com"
+APPROVED="Niels Horn"
diff --git a/misc/ardesia/doinst.sh b/misc/ardesia/doinst.sh
new file mode 100644
index 0000000000..1f8ff67ded
--- /dev/null
+++ b/misc/ardesia/doinst.sh
@@ -0,0 +1,10 @@
+if [ -x /usr/bin/update-desktop-database ]; then
+ /usr/bin/update-desktop-database -q usr/share/applications >/dev/null 2>&1
+fi
+
+if [ -e usr/share/icons/hicolor/icon-theme.cache ]; then
+ if [ -x /usr/bin/gtk-update-icon-cache ]; then
+ /usr/bin/gtk-update-icon-cache usr/share/icons/hicolor >/dev/null 2>&1
+ fi
+fi
+
diff --git a/misc/ardesia/slack-desc b/misc/ardesia/slack-desc
new file mode 100644
index 0000000000..24f6321545
--- /dev/null
+++ b/misc/ardesia/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|'
+# on the right side marks the last column you can put a character in. You must
+# make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':' except on otherwise blank lines.
+
+ |-----handy-ruler------------------------------------------------------|
+ardesia: Ardesia (Pen/Touch ready on-screen annotation)
+ardesia:
+ardesia: Ardesia turns your screen into a digital sketchpad to annotate or draw
+ardesia: on the entire screen. It also lets you record and stream it on the
+ardesia: network. You can draw upon the desktop or import an image, annotate,
+ardesia: and redistribute it. Ardesia is also pressure sensitive assuming
+ardesia: your device is properly configured.
+ardesia:
+ardesia:
+ardesia:
+ardesia: